Subject: Re: [PATCH] spi: fsl-spi: use of_iomap() to map parameter ram on CPM1

From: leroy christophe <[email-masked]>
Date: Thu, 12 Mar 2015 07:52:53 +0100

Le 06/03/2015 12:44, Mark Brown a écrit :
> On Wed, Mar 04, 2015 at 09:00:39AM +0100, leroy christophe wrote:
>> Le 03/03/2015 19:44, Mark Brown a écrit :
>>> Why are we using of_iomap() rather than a generic I/O mapping function
>>> here?
>> because all drivers for powerpc seems to be using of_iomap(), as on powerpc
>> the HW is described by the bootloader in a OF device tree.
>> Today, of_iomap() is at least used in FSL SPI, FSL UART, SPI mpc52xx, UART
>> mpc52xx, i2c-mpc, i2c-cpm, freescale ethernet drivers, etc ....
>> Is it not correct ?
> It's legacy, all that code is really old.  Modern code is written in as
> architecture and firmware neutral a fashion as possible to make things
> more consistent and maintainable.
This patch is only a small bug fix.
That driver already contains calls to of_iomap() and other related of_ 
functions.
Is it worth rewriting the driver for just a small bug fix ?

Christophe